org.apache.struts2.json.rpc

## Class RPCError

- java.lang.Object
- - org.apache.struts2.json.rpc.RPCError

-     public class RPCError
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPCError()`
    `RPCError(String message, int code)`
    `RPCError(String message, RPCErrorCode code)`
    `RPCError(Throwable t, int code, boolean debug)`
    `RPCError(Throwable t, RPCErrorCode code, boolean debug)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `String` | `getMessage()`
    `String` | `getName()`
    `String` | `getStack()`
    `void` | `setCode(int code)`
    `void` | `setMessage(String message)`
    `void` | `setName(String name)`
    `void` | `setStack(String stack)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RPCError

          public RPCError()

    - #### RPCError

          public RPCError(String message,
                          int code)

    - #### RPCError

          public RPCError(String message,
                          RPCErrorCode code)

    - #### RPCError

          public RPCError(Throwable t,
                          int code,
                          boolean debug)

    - #### RPCError

          public RPCError(Throwable t,
                          RPCErrorCode code,
                          boolean debug)

  - ### Method Detail

    - #### getCode

          public int getCode()

    - #### setCode

          public void setCode(int code)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage(String message)

    - #### getStack

          public String getStack()

    - #### setStack

          public void setStack(String stack)

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.